

- Move prototype to genhd.h

- It is only needed for /proc

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/genhd.c |    2 ++
 25-akpm/fs/proc/proc_misc.c   |    1 -
 25-akpm/include/linux/genhd.h |    1 +
 3 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/block/genhd.c~get_blkdev_list-cleanup drivers/block/genhd.c
--- 25/drivers/block/genhd.c~get_blkdev_list-cleanup	2004-12-06 22:01:50.335828392 -0800
+++ 25-akpm/drivers/block/genhd.c	2004-12-06 22:02:19.144448816 -0800
@@ -38,6 +38,7 @@ static inline int major_to_index(int maj
 	return major % MAX_PROBE_HASH;
 }
 
+#ifdef CONFIG_PROC_FS
 /* get block device names in somewhat random order */
 int get_blkdev_list(char *p)
 {
@@ -56,6 +57,7 @@ int get_blkdev_list(char *p)
 
 	return len;
 }
+#endif
 
 int register_blkdev(unsigned int major, const char *name)
 {
diff -puN fs/proc/proc_misc.c~get_blkdev_list-cleanup fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~get_blkdev_list-cleanup	2004-12-06 22:01:50.354825504 -0800
+++ 25-akpm/fs/proc/proc_misc.c	2004-12-06 22:02:28.455033392 -0800
@@ -62,7 +62,6 @@
 extern int get_hardware_list(char *);
 extern int get_stram_list(char *);
 extern int get_chrdev_list(char *);
-extern int get_blkdev_list(char *);
 extern int get_filesystem_list(char *);
 extern int get_exec_domain_list(char *);
 extern int get_dma_list(char *);
diff -puN include/linux/genhd.h~get_blkdev_list-cleanup include/linux/genhd.h
--- 25/include/linux/genhd.h~get_blkdev_list-cleanup	2004-12-06 22:01:50.371822920 -0800
+++ 25-akpm/include/linux/genhd.h	2004-12-06 22:02:46.163341320 -0800
@@ -218,6 +218,7 @@ static inline void free_disk_stats(struc
 extern void disk_round_stats(struct gendisk *disk);
 
 /* drivers/block/genhd.c */
+extern int get_blkdev_list(char *);
 extern void add_disk(struct gendisk *disk);
 extern void del_gendisk(struct gendisk *gp);
 extern void unlink_gendisk(struct gendisk *gp);
_
